/**
 * @file 给组件用的，渲染器里面不要用这个
 */
import React from 'react';
import { ThemeProps } from '../theme';
import { UseFormReturn } from 'react-hook-form';
import { LocaleProps } from '../locale';
export declare type FormRef = React.MutableRefObject<{
    submit: () => void;
} | undefined>;
export interface FormProps extends ThemeProps, LocaleProps {
    defaultValues: any;
    onSubmit: (value: any) => void;
    forwardRef?: FormRef;
    children?: (methods: UseFormReturn) => JSX.Element | null;
}
export declare function Form(props: FormProps): JSX.Element;
declare type ThemedFormProps = Omit<FormProps, keyof ThemeProps | keyof LocaleProps>;
declare const _default: React.ForwardRefExoticComponent<ThemedFormProps & React.RefAttributes<{
    submit: () => void;
} | undefined>>;
export default _default;
