/// <reference types="lodash" />
/// <reference types="hoist-non-react-statics" />
/**
 * Tranasfer搜索
 */
import React from 'react';
import { ThemeProps } from '../theme';
import { LocaleProps } from '../locale';
export interface TransferSearchProps extends ThemeProps, LocaleProps {
    className?: string;
    placeholder: string;
    onSearch: Function;
    onCancelSearch: Function;
}
export interface ItemRenderStates {
    index: number;
    disabled?: boolean;
    onChange: (value: any, name: string) => void;
}
interface TransferSearchState {
    inputValue: string;
}
export declare class TransferSearch extends React.Component<TransferSearchProps, TransferSearchState> {
    static itemRender(option: any): JSX.Element;
    static defaultProps: Pick<TransferSearchProps, 'placeholder'>;
    state: TransferSearchState;
    cancelSearch?: () => void;
    componentWillUnmount(): void;
    handleSearch(inputValue: string): void;
    lazySearch: import("lodash").DebouncedFunc<() => void>;
    handleSearchKeyDown(e: React.KeyboardEvent<any>): void;
    handleSeachCancel(): void;
    render(): JSX.Element;
}
declare const _default: {
    new (props: Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, keyof ThemeProps> & import("../theme").ThemeOutterProps): {
        ref: any;
        childRef(ref: any): void;
        getWrappedInstance(): any;
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Omit<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, keyof ThemeProps> & import("../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: React.ComponentType<{
        new (props: Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }): {
            ref: any;
            childRef(ref: any): void;
            getWrappedInstance(): any;
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: React.ComponentType<typeof TransferSearch>;
    } & import("hoist-non-react-statics").NonReactStatics<typeof TransferSearch, {}> & {
        ComposedComponent: typeof TransferSearch;
    }>;
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }): {
        ref: any;
        childRef(ref: any): void;
        getWrappedInstance(): any;
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: React.ComponentType<typeof TransferSearch>;
} & import("hoist-non-react-statics").NonReactStatics<typeof TransferSearch, {}> & {
    ComposedComponent: typeof TransferSearch;
}, {}> & {
    ComposedComponent: {
        new (props: Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }): {
            ref: any;
            childRef(ref: any): void;
            getWrappedInstance(): any;
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "classPrefix" | "classnames" | "className" | "theme" | "onSearch" | "onCancelSearch"> & Partial<Pick<Omit<TransferSearchProps, keyof LocaleProps>, "placeholder">> & Partial<Pick<Pick<TransferSearchProps, "placeholder">, never>> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: React.ComponentType<typeof TransferSearch>;
    } & import("hoist-non-react-statics").NonReactStatics<typeof TransferSearch, {}> & {
        ComposedComponent: typeof TransferSearch;
    };
};
export default _default;
